local BOHCB, LDB = unpack(Broker_OrderHallCommandBar)
local CurrencyObject = LibStub("AceEvent-3.0"):Embed(BOHCB:NewDataObject("data source", "Currency"))

local currency

local function Update()
    local currencyName, amount, currencyTexture = GetCurrencyInfo(currency);
    CurrencyObject.icon = currencyTexture
    CurrencyObject.text = BreakUpLargeNumbers(amount)
end

function CurrencyObject:OnInitialize()
    currency = C_Garrison.GetCurrencyTypes(LE_GARRISON_TYPE_7_0)

    self:RegisterEvent("CURRENCY_DISPLAY_UPDATE", Update)
    
    Update()
end

function CurrencyObject.OnTooltipShow(tooltip)
    tooltip:SetCurrencyTokenByID(currency)
end
